Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000095TestLinkGeneralpublic2005-09-09 10:372008-11-07 19:47
Reportermhavlat 
Assigned Tomhavlat 
PriorityhighSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 Beta 2 
Summary0000095: HELP & INSTRUCTION localization
DescriptionHelp and instruction pages should be rewritten from html to php.

* allow standard type of localization
* simplify to maintain changes
* allow product driven background color

Recommended target release 1.7
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0000081)
fman (administrator)
2005-09-12 10:24

IMHO if you have a lot of text to translate, the standard method we have use (lang_get)will not be good.
If we put the help text strings, into strings.txt the file will increase too much it's size.
May be we need to think about a new strings file only for the help pages ?

You are right regarding "product driven background color", and we can fix it
with the PHP, very soon, without considering yet the other to issues.

Francisco
(0000084)
mhavlat (reporter)
2005-09-12 12:51

I think so that a second data file would be appropriate. Background color is only cosmetic problem, so don't worry.
This is not too much work to make php solution. But it is a time consuming to rewrite all languages and update requests.
(0001028)
schlundus (reporter)
2007-01-13 19:28

@mhavlat: Should we do this?
I would prefer a solution with one general smarty-tpl which is used by all helpfiles.
So we have only one CSS and one TPL for all.
And the text should be within XML and will be transformed via XSL to the appropriate HTML Format.
So we have only one TPL one CSS and one XSL.
Do you know a better solution?
(0001279)
mhavlat (reporter)
2007-02-22 09:50

I definitely agree with one TPL. But why to use xml/xsl?

Do you agree to use an extra localization file with one constant/variable for each help page?
(0002223)
mhavlat (reporter)
2007-09-24 05:37

I plan to move text into strings.txt (include simple html tags: bold, italic and link).
(0002267)
schlundus (reporter)
2007-09-29 12:10

the idea is to separate the contents of the help file with its representation.
(0003593)
mhavlat (reporter)
2008-05-19 18:40

Finally I can close this.

- Issue History
Date Modified Username Field Change
2005-09-09 10:37 mhavlat New Issue
2005-09-12 10:24 fman Note Added: 0000081
2005-09-12 12:51 mhavlat Note Added: 0000084
2007-01-13 19:28 schlundus Note Added: 0001028
2007-01-13 19:28 schlundus Assigned To => mhavlat
2007-01-13 19:28 schlundus Status new => feedback
2007-01-20 00:45 schlundus Project Testlink 1.6.x => TestLink
2007-02-22 09:50 mhavlat Note Added: 0001279
2007-09-24 05:37 mhavlat Note Added: 0002223
2007-09-24 05:37 mhavlat Status feedback => confirmed
2007-09-29 12:10 schlundus Note Added: 0002267
2008-01-11 00:52 mhavlat Status confirmed => assigned
2008-05-19 18:40 mhavlat Status assigned => resolved
2008-05-19 18:40 mhavlat Fixed in Version => 1.8 Beta 2
2008-05-19 18:40 mhavlat Resolution open => fixed
2008-05-19 18:40 mhavlat Note Added: 0003593
2008-11-07 19:47 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker